Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | List of all members
OpenMeshTriangleBSPT< Mesh > Class Template Reference
Inheritance diagram for OpenMeshTriangleBSPT< Mesh >:

## Public Types
typedef OpenMeshTriangleBSPTraits < Mesh > | Traits
typedef TriangleBSPT< Traits > | Base
typedef Traits::Scalar | Scalar
Public Types inherited from TriangleBSPT< OpenMeshTriangleBSPTraits< Mesh > >
typedef BSPImplT < TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > > > | Base
typedef Base::Scalar | Scalar
Public Types inherited from BSPImplT< TriangleBSPCoreT< OpenMeshTriangleBSPTraits< Mesh > > >
typedef TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > >::Traits | Traits
typedef TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > >::Handle | Handle
typedef TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > >::Point | Point
typedef TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > >::Scalar | Scalar
typedef TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > >::Node | Node
typedef TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > >::Handles | Handles
typedef TriangleBSPCoreT < OpenMeshTriangleBSPTraits < Mesh > >::HandleIter | HandleIter
typedef std::vector< std::pair < Handle, Scalar > > | RayCollision
| Store nearest neighbor information.
Public Types inherited from TriangleBSPCoreT< OpenMeshTriangleBSPTraits< Mesh > >
typedef OpenMeshTriangleBSPTraits < Mesh > | Traits
typedef OpenMeshTriangleBSPTraits < Mesh >::Point | Point
typedef OpenMeshTriangleBSPTraits < Mesh >::Handle | Handle
typedef OpenMeshTriangleBSPTraits < Mesh >::Node | Node
typedef Point::value_type | Scalar
typedef ACG::Geometry::PlaneT < Scalar > | Plane
typedef std::vector< Handle > | Handles
typedef Handles::iterator | HandleIter

## Public Member Functions
| OpenMeshTriangleBSPT (const Mesh &_mesh, const Scalar &_infinity=std::numeric_limits< Scalar >::infinity())
Public Member Functions inherited from TriangleBSPT< OpenMeshTriangleBSPTraits< Mesh > >
| TriangleBSPT (const OpenMeshTriangleBSPTraits< Mesh > &_traits, const Scalar &_infinity=std::numeric_limits< Scalar >::infinity())
Public Member Functions inherited from BSPImplT< TriangleBSPCoreT< OpenMeshTriangleBSPTraits< Mesh > > >
| BSPImplT (const Traits &_traits, const Scalar &_infinity=std::numeric_limits< Scalar >::infinity())
NearestNeighbor | nearest (const Point &_p) const
| Return handle of the nearest neighbor face.
RayCollision | raycollision (const Point &_p, const Point &_r) const
| intersect mesh with ray More...
RayCollision | directionalRaycollision (const Point &_p, const Point &_r) const
| intersect mesh with ray More...
RayCollision | nearestRaycollision (const Point &_p, const Point &_r) const
| intersect mesh with ray More...
Public Member Functions inherited from TriangleBSPCoreT< OpenMeshTriangleBSPTraits< Mesh > >
| TriangleBSPCoreT (const OpenMeshTriangleBSPTraits< Mesh > &_traits)
| ~TriangleBSPCoreT ()
| Destructor.
void | reserve (size_t _n)
| Reserve memory for _n entries.
void | push_back (Handle _h)
| Add a handle to the BSP.
bool | empty ()
size_t | size ()
void | build (unsigned int _max_handles, unsigned int _max_depth)
void | visualizeTree (MeshT *_object, int _max_depth)
| Create a PolyMesh object that visualizes the bounding boxes of the BSP tree. More...

## Additional Inherited Members
Protected Attributes inherited from TriangleBSPCoreT< OpenMeshTriangleBSPTraits< Mesh > >
OpenMeshTriangleBSPTraits< Mesh > | traits_
Handles | handles_
Node * | root_
int | nodes
int | n_triangles

## Detailed Description

### template<class Mesh>
class OpenMeshTriangleBSPT< Mesh >

Definition at line 206 of file TriangleBSPT.hh.

The documentation for this class was generated from the following file:

- ACG/Geometry/bsp/TriangleBSPT.hh